ActiveMQTemporaryQueue (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.message.ActiveMQTemporaryQueue class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class ActiveMQTemporaryQueue

    java.lang.Object
      org.codehaus.activemq.jndi.JNDIBaseStorable
          org.codehaus.activemq.message.ActiveMQDestination
              org.codehaus.activemq.message.ActiveMQQueue
                  org.codehaus.activemq.message.ActiveMQTemporaryQueue

All Implemented Interfaces:
  Comparable, Destination, JNDIStorableInterface, Queue, Referenceable, Serializable, TemporaryQueue

public class ActiveMQTemporaryQueue
extends ActiveMQQueue
implements TemporaryQueue

A `TemporaryQueue` object is a unique `Queue` object created for the duration of a `Connection`. It is a system-defined queue that can be consumed only by the `Connection` that created it.

A `TemporaryQueue` object can be created at either the `Session` or `QueueSession` level. Creating it at the `Session` level allows to the `TemporaryQueue` to participate in transactions with objects from the Pub/Sub domain. If it is created at the `QueueSession`, it will only be able participate in transactions with objects from the PTP domain.

See Also:
  `Session.createTemporaryQueue()`, `QueueSession.createTemporaryQueue()`, Serialized Form

Field Summary

Fields inherited from class org.codehaus.activemq.message.ActiveMQDestination
`ACTIVEMQ_QUEUE, ACTIVEMQ_TEMPORARY_QUEUE, ACTIVEMQ_TEMPORARY_TOPIC, ACTIVEMQ_TOPIC`

Constructor Summary
`ActiveMQTemporaryQueue()` Default constructor for an ActiveMQTemporaryQueue Destination
`ActiveMQTemporaryQueue(String name)` Construct a named ActiveMQTemporaryQueue Destination

Method Summary
`void` | `delete()` Deletes this temporary queue.
`int` | `getDestinationType()`

Methods inherited from class org.codehaus.activemq.message.ActiveMQQueue
`createDestination, createDestinationStats, getQueueName`

Methods inherited from class org.codehaus.activemq.message.ActiveMQDestination
`buildFromProperties, compareTo, compareTo, createTemporaryName, equals, getChildDestinations, getClientId, getDestinationFilter, getDestinationPaths, getPhysicalName, getStats, hashCode, inspect, isComposite, isQueue, isTemporary, isTopic, isWildcard, matches, populateProperties, readFromStream, setPhysicalName, setStats, toString, transformDestination, writeToStream`

Methods inherited from class org.codehaus.activemq.jndi.JNDIBaseStorable
`getProperties, getReference, setProperties`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.Queue
`getQueueName, toString`

Constructor Detail

### ActiveMQTemporaryQueue

    public ActiveMQTemporaryQueue()

  Default constructor for an ActiveMQTemporaryQueue Destination

### ActiveMQTemporaryQueue

    public ActiveMQTemporaryQueue(String name)

  Construct a named ActiveMQTemporaryQueue Destination

Parameters:
  `name` -

Method Detail

### delete

    public void delete()
                throws JMSException

  Deletes this temporary queue. If there are existing receivers still using it, a `JMSException` will be thrown.

  Specified by:
    `delete` in interface `TemporaryQueue`
  Throws:
    `JMSException` - if the JMS provider fails to delete the temporary queue due to some internal error.

### getDestinationType

    public int getDestinationType()

  Overrides:
    `getDestinationType` in class `ActiveMQQueue`
  Returns:
    Returns the Destination type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.